| Home | Libraries | People | FAQ | More

###### any_connection::read_some_rows (4 of 4 overloads)

Reads a batch of rows.

###### Synopsis

    rows_view
    read_some_rows(
        execution_state& st);

###### Description

The number of rows that will be read is unspecified. If the operation represented by `st` has still rows to read, at least one will be read. If there are no more rows, or `st.should_read_rows() == false`, returns an empty `rows_view`.

The number of rows that will be read depends on the connection's buffer size. The bigger the buffer, the greater the batch size (up to a maximum). You can set the initial buffer size in the constructor. The buffer may be grown bigger by other read operations, if required.

The returned view points into memory owned by `*this`. It will be valid until `*this` performs the next network operation or is destroyed.